/*

  REXX Script to uninstall Internet Adventurer - and remove the settings
  from OS2.INI

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end


say "Are you sure you want to delete Internet Adventurer ?"
say "This will delete settings from OS2.INI, and delete the folder"
say "*** Deleting the settings, also deletes any registration info !! ***"
say "Answer Yes or No"

parse upper pull answer .

if left(answer, 1) \= 'Y' then do
   say "Uninstall aborted"
   exit
end

say "Deleting Folder"
call SysDestroyObject "<INETADVFOLDER>"

say "Deleting Internet Adventurer settings from OS2.INI"
call SysIni 'USER', "Internet Adventurer"

say 'Deleting completed'
